/*
 * Copyright (c)2012-2017 JingTong RDC(Research and Development Centre), Inc. All rights reserved.
 *
 * NOTICE: All information contained herein is, and remains the property of JingTong RDC ,
 *         if any. The intellectual and technical concepts contained herein are proprietary
 *         to JingTong RDC and covered by China and Foreign Patents, patents in process,
 *         and are protected by trade secret or copyright law. Dissemination of this information
 *         or reproduction of this material is strictly forbidden unless prior written permission
 *         is obtained from JingTong RDC.
 */

package com.jingtong.bpm.logic.vo;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * <p> 数据源配置 </p>
 *
 * @author sog
 * @version 1.0
 * @since JDK 1.7
 */
@Data
public class DatasourceVO implements Serializable {

    private static final long serialVersionUID = -842811304148748048L;
    /**
     * 名称
     */
    private String name;
    /**
     * 数据源编码
     */
    private String table;

    /**
     * 数据源字段
     */
    private List<DatasourceFieldVO> fields;

    private DatasourceComboPropVO combo;
    private DatasourcePopoverVO popover;
}
